## UPPER Convert strings to upper case

Section: String Functions

### Usage

The `upper` function converts a string to upper case with the syntax

       y = upper(x)

where `x` is a string, in which case all of the lower case characters in `x` (defined as the range `'a'-'z'`) are converted to upper case. Alternately, you can call `upper` with a cell array of strings

       y = upper(c)

in which case each string in the cell array is converted to upper case.

### Example

A simple example:

    --> upper('this Is Strange CAPitalizaTion')
    ans =
      <string>  - size: [1 30]
     THIS IS STRANGE CAPITALIZATION

and a more complex example with a cell array of strings

    --> upper({'This','Is','Strange','CAPitalizaTion'})
    ans =
      <cell array> - size: [1 4]

    Columns 1 to 3
     THIS    IS    STRANGE

    Columns 4 to 4
     CAPITALIZATION